###
 # @Author: renxin renxin0828@163.com
 # @Date: 2023-03-31 13:53:57
 # @LastEditors: renxin renxin0828@163.com
 # @LastEditTime: 2023-03-31 14:11:05
 # @FilePath: \thingskit-front\.env.production
 # @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
### 
# Whether to open mock
VITE_GLOB_USE_MOCK = false

# public path
VITE_GLOB_PUBLIC_PATH = ./

# Delete console
VITE_GLOB_DROP_CONSOLE = true

# Whether to enable gzip or brotli compression
# Optional: gzip | brotli | none
# If you need multiple forms, you can use `,` to separate
# VITE_GLOB_BUILD_COMPRESS = 'gzip'
VITE_GLOB_BUILD_COMPRESS = ''

# Whether to delete origin files when using compress, default false
VITE_GLOB_BUILD_COMPRESS_DELETE_ORIGIN_FILE = false

# Basic interface address SPA
# VITE_GLOB_API_URL=http://192.168.119.143:19200
# VITE_GLOB_API_URL2=http://117.174.10.73:31895

VITE_GLOB_API_URL=http://192.168.119.143:9200
VITE_GLOB_API_URL2=http://192.168.119.143:31895
VITE_GLOB_API_MAPTOOLS=/mapTools


# File upload address， optional
# It can be forwarded by nginx or write the actual address directly
VITE_GLOB_UPLOAD_URL=http://192.168.2.225/api/yt/oss/upload

# Interface prefix
VITE_GLOB_API_URL_PREFIX=''

# Whether to enable image compression
VITE_GLOB_USE_IMAGEMIN= false

# use pwa
VITE_USE_PWA = false

# Is it compatible with older browsers
VITE_LEGACY = true

# 实时数据的ws地址
VITE_GLOB_WEB_SOCKET = ws://192.168.2.225/api/ws/plugins/telemetry?token=

#configuration
VITE_GLOB_CONFIGURATION = /thingskit-scada

# 大屏设计器
VITE_GLOB_LARGE_DESIGNER = /large-designer

# Content Security Policy
VITE_GLOB_CONTENT_SECURITY_POLICY = false

# Alarm Notify Polling Interval Time
VITE_GLOB_ALARM_NOTIFY_POLLING_INTERVAL_TIME = 60000
#二三维一体化
VITE_GLOB_LIGONG_ADMIN = http://192.168.119.100:12002/spatialDataMng/#/
# VITE_GLOB_LIGONG_ADMIN = /2to3
# Alarm Notify Auto Close Time Unit is Second
VITE_GLOB_ALARM_NOTIFY_DURATION = 5
